## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDecimalFormatSymbols Class Reference

`#include <XalanDecimalFormatSymbols.hpp>`

Collaboration diagram for XalanDecimalFormatSymbols:

List of all members.

## Public Methods

- XalanDecimalFormatSymbols ()
- XalanDecimalFormatSymbols (const XalanDecimalFormatSymbols& theSource)
- ~XalanDecimalFormatSymbols ()
- XalanDecimalFormatSymbols& operator= (const XalanDecimalFormatSymbols& theRHS)
- const XalanDOMString& getCurrencySymbol () const
    Retrieve the string denoting the local currency, "$", for example. More...
- XalanDOMChar getDecimalSeparator () const
    Retrieve the character used for decimal sign, '.' for example. More...
- XalanDOMChar getDigit () const
    Retrieve character used for a digit in a pattern. More...
- XalanDOMChar getGroupingSeparator () const
    Retrieve the character used for thousands separator, "," for example. More...
- const XalanDOMString& getInfinity () const
    Retrieve the string used to represent infinity. More...
- const XalanDOMString& getInternationalCurrencySymbol () const
    Retrieve the international string denoting the local currency. More...
- XalanDOMChar getMinusSign () const
    Retrieve the character used to represent minus sign. More...
- XalanDOMChar getMonetaryDecimalSeparator () const
    Retrieve the monetary decimal separator. More...
- const XalanDOMString& getNaN () const
    Retrieve the string used for a numeric value that cannot be represented as a number. More...
- XalanDOMChar getPatternSeparator () const
    Retrieve the character used to separate positive and negative subpatterns in a pattern. More...
- XalanDOMChar getPercent () const
    Retrieve the character used for percent sign, "%," for example. More...
- XalanDOMChar getPerMill () const
    Retrieve the character used for per thousand sign. More...
- XalanDOMChar getZeroDigit () const
    Retrieve the character used for zero. More...
- void setCurrencySymbol (const XalanDOMString& theCurrencySymbol)
    Sets the string denoting the local currency, "$", for example. More...
- void setCurrencySymbol (const XalanDOMChar* theCurrencySymbol)
    Sets the string denoting the local currency, "$", for example. More...
- void setDecimalSeparator (XalanDOMChar theDecimalSeparator)
    Sets the character used for decimal sign, '.' for example. More...
- void setDigit (XalanDOMChar theDigit)
    Sets the character used for a digit in a pattern. More...
- void setGroupingSeparator (XalanDOMChar theGroupingSeparator)
    Sets the character used for thousands separator, "," for example. More...
- void setInfinity (const XalanDOMString& theInfinity)
    Sets the string used to represent infinity. More...
- void setInfinity (const XalanDOMChar* theInfinity)
    Sets the string used to represent infinity. More...
- void setInternationalCurrencySymbol (const XalanDOMString& theInternationalCurrencySymbol)
    Sets the international string denoting the local currency. More...
- void setInternationalCurrencySymbol (const XalanDOMChar* theInternationalCurrencySymbol)
    Sets the international string denoting the local currency. More...
- void setMinusSign (XalanDOMChar theMinusSign)
    Sets the character used to represent minus sign. More...
- void setMonetaryDecimalSeparator (XalanDOMChar theMonetaryDecimalSeparator)
    Sets the monetary decimal separator. More...
- void setNaN (const XalanDOMString& theNaN)
    Sets the string used for a numeric value that cannot be represented as a number. More...
- void setNaN (const XalanDOMChar* theNaN)
    Sets the string used for a numeric value that cannot be represented as a number. More...
- void setPatternSeparator (XalanDOMChar thePatternSeparator)
    Sets the character used to separate positive and negative subpatterns in a pattern. More...
- void setPercent (XalanDOMChar thePercent)
    Sets the character used for percent sign, "%," for example. More...
- void setPerMill (XalanDOMChar thePerMill)
    Sets the character used for per thousand sign. More...
- void setZeroDigit (XalanDOMChar theZeroDigit)
    Sets the character used for zero. More...
- bool operator== (const XalanDecimalFormatSymbols& theRHS) const
- bool operator!= (const XalanDecimalFormatSymbols& theRHS) const

## Constructor & Destructor Documentation

XalanDecimalFormatSymbols::XalanDecimalFormatSymbols ( | )`[explicit]`

XalanDecimalFormatSymbols::XalanDecimalFormatSymbols ( | const XalanDecimalFormatSymbols & theSource )

XalanDecimalFormatSymbols::~XalanDecimalFormatSymbols ( | )

## Member Function Documentation

const XalanDOMString & XalanDecimalFormatSymbols::getCurrencySymbol ( | ) const`[]`

Retrieve the string denoting the local currency, "$", for example.

Returns:
  string used for local currency

XalanDOMChar XalanDecimalFormatSymbols::getDecimalSeparator ( | ) const`[]`

Retrieve the character used for decimal sign, '.' for example.

Returns:
  character used for decimal sign

XalanDOMChar XalanDecimalFormatSymbols::getDigit ( | ) const`[]`

Retrieve character used for a digit in a pattern.

Returns:
  character used for a digit in a pattern

XalanDOMChar XalanDecimalFormatSymbols::getGroupingSeparator ( | ) const`[]`

Retrieve the character used for thousands separator, "," for example.

Returns:
  character used for thousands separator

const XalanDOMString & XalanDecimalFormatSymbols::getInfinity ( | ) const`[]`

Retrieve the string used to represent infinity.

Returns:
  string used to represent infinity

const XalanDOMString & XalanDecimalFormatSymbols::getInternationalCurrencySymbol ( | ) const`[]`

Retrieve the international string denoting the local currency.

Returns:
  international string denoting the local currency

XalanDOMChar XalanDecimalFormatSymbols::getMinusSign ( | ) const`[]`

Retrieve the character used to represent minus sign.

Returns:
  character used to represent minus sign

XalanDOMChar XalanDecimalFormatSymbols::getMonetaryDecimalSeparator ( | ) const`[]`

Retrieve the monetary decimal separator.

Returns:
  character used to separate decimal portion of currency

const XalanDOMString & XalanDecimalFormatSymbols::getNaN ( | ) const`[]`

Retrieve the string used for a numeric value that cannot be represented as a number.

Returns:
  string representing "not a number" value

XalanDOMChar XalanDecimalFormatSymbols::getPatternSeparator ( | ) const`[]`

Retrieve the character used to separate positive and negative subpatterns in a pattern.

Returns:
  character used to separate positive and negative subpatterns

XalanDOMChar XalanDecimalFormatSymbols::getPerMill ( | ) const`[]`

Retrieve the character used for per thousand sign.

Returns:
  character used for per thousand sign

XalanDOMChar XalanDecimalFormatSymbols::getPercent ( | ) const`[]`

Retrieve the character used for percent sign, "%," for example.

Returns:
  character used for percent sign

XalanDOMChar XalanDecimalFormatSymbols::getZeroDigit ( | ) const`[]`

Retrieve the character used for zero.

Returns:
  character used for zero

bool XalanDecimalFormatSymbols::operator!= ( | const XalanDecimalFormatSymbols & theRHS ) const`[]`

XalanDecimalFormatSymbols& XalanDecimalFormatSymbols::operator= ( | const XalanDecimalFormatSymbols & theRHS )

bool XalanDecimalFormatSymbols::operator== ( | const XalanDecimalFormatSymbols & theRHS ) const

void XalanDecimalFormatSymbols::setCurrencySymbol ( | const XalanDOMChar * theCurrencySymbol )`[]`

Sets the string denoting the local currency, "$", for example.

Parameters:

  theCurrencySymbol | symbol used for local currency

void XalanDecimalFormatSymbols::setCurrencySymbol ( | const XalanDOMString & theCurrencySymbol )`[]`

Sets the string denoting the local currency, "$", for example.

Parameters:

  theCurrencySymbol | symbol used for local currency

void XalanDecimalFormatSymbols::setDecimalSeparator ( | XalanDOMChar theDecimalSeparator )`[]`

Sets the character used for decimal sign, '.' for example.

Parameters:

  theDecimalSeparator | character used for decimal sign

void XalanDecimalFormatSymbols::setDigit ( | XalanDOMChar theDigit )`[]`

Sets the character used for a digit in a pattern.

Parameters:

  theDigit | character used for a digit in a pattern

void XalanDecimalFormatSymbols::setGroupingSeparator ( | XalanDOMChar theGroupingSeparator )`[]`

Sets the character used for thousands separator, "," for example.

Parameters:

  theGroupingSeparator | character used for thousands separator

void XalanDecimalFormatSymbols::setInfinity ( | const XalanDOMChar * theInfinity )`[]`

Sets the string used to represent infinity.

Parameters:

  theInfinity | string used to represent infinity

void XalanDecimalFormatSymbols::setInfinity ( | const XalanDOMString & theInfinity )`[]`

Sets the string used to represent infinity.

Parameters:

  theInfinity | string used to represent infinity

void XalanDecimalFormatSymbols::setInternationalCurrencySymbol ( | const XalanDOMChar * theInternationalCurrencySymbol )`[]`

Sets the international string denoting the local currency.

Parameters:

  theInternationalCurrencySymbol | international string denoting the local currency

void XalanDecimalFormatSymbols::setInternationalCurrencySymbol ( | const XalanDOMString & theInternationalCurrencySymbol )`[]`

Sets the international string denoting the local currency.

Parameters:

  theInternationalCurrencySymbol | international string denoting the local currency

void XalanDecimalFormatSymbols::setMinusSign ( | XalanDOMChar theMinusSign )`[]`

Sets the character used to represent minus sign.

Parameters:

  theMinusSign | character used to represent minus sign

void XalanDecimalFormatSymbols::setMonetaryDecimalSeparator ( | XalanDOMChar theMonetaryDecimalSeparator )`[]`

Sets the monetary decimal separator.

Parameters:

  theMonetaryDecimalSeparator | character used to separate decimal portion of currency

void XalanDecimalFormatSymbols::setNaN ( | const XalanDOMChar * theNaN )`[]`

Sets the string used for a numeric value that cannot be represented as a number.

Parameters:

  theNaN | string representing "not a number" value

void XalanDecimalFormatSymbols::setNaN ( | const XalanDOMString & theNaN )`[]`

Sets the string used for a numeric value that cannot be represented as a number.

Parameters:

  theNaN | string representing "not a number" value

void XalanDecimalFormatSymbols::setPatternSeparator ( | XalanDOMChar thePatternSeparator )`[]`

Sets the character used to separate positive and negative subpatterns in a pattern.

Parameters:

  thePatternSeparator | character used to separate positive and negative subpatterns

void XalanDecimalFormatSymbols::setPerMill ( | XalanDOMChar thePerMill )`[]`

Sets the character used for per thousand sign.

Parameters:

  thePerMill | character used for per thousand sign

void XalanDecimalFormatSymbols::setPercent ( | XalanDOMChar thePercent )`[]`

Sets the character used for percent sign, "%," for example.

Parameters:

  thePercent | character used for percent sign

void XalanDecimalFormatSymbols::setZeroDigit ( | XalanDOMChar theZeroDigit )`[]`

Sets the character used for zero.

Parameters:

  theZeroDigit | character used for zero

The documentation for this class was generated from the following file:

- XalanDecimalFormatSymbols.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.